package com.goafanti.user.service;

import com.goafanti.common.model.UserInterest;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.user.bo.InterestUserListBo;

import com.goafanti.user.bo.UserIdentityBo;


public interface UserInterestService {

	UserInterest findByFromUidAndToUid(String fromUid, String toUid);

	String insert(String uid);

	UserInterest findByPrimaryKey(String id);

	int deleteByPrimaryKey(String interestId);

	Pagination<InterestUserListBo> listInterestUser(Integer pNo, Integer pSize, Integer userType);

	Integer countByToUid(String uid);
	
	Pagination<UserIdentityBo> expertsList(String industry, Integer pNo, Integer pSize);
	

}
